<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Dec 08 12:43:15 EET 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<title>University.Builder</title>
<meta name="date" content="2018-12-08">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="University.Builder";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":9,"i5":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../com/Model/University.html" title="class in com.Model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?com/Model/University.Builder.html" target="_top">Frames</a></li>
<li><a href="University.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.Model</div>
<h2 title="Class University.Builder" class="title">Class University.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.Model.University.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../com/Model/University.html" title="class in com.Model">University</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">University.Builder</span>
extends java.lang.Object</pre>
<div class="block">Builder class containing field <b>name</b>,<b>address</b>,<b>yearOfEstablishment</b>,<b>level</b>.
 Used to implement the builder pattern
 Fields of this class are validated.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/University.Builder.html#address">address</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) <a href="../../com/Model/accreditationLevel.html" title="enum in com.Model">accreditationLevel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/University.Builder.html#level">level</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/University.Builder.html#name">name</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/University.Builder.html#yearOfEstablishment">yearOfEstablishment</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../com/Model/University.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../com/Model/University.Builder.html" title="class in com.Model">University.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/University.Builder.html#accreditationLevel-com.Model.accreditationLevel-">accreditationLevel</a></span>(<a href="../../com/Model/accreditationLevel.html" title="enum in com.Model">accreditationLevel</a>&nbsp;valueLevel)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../com/Model/University.Builder.html" title="class in com.Model">University.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/University.Builder.html#address-com.Model.FullAddress-">address</a></span>(<a href="../../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a>&nbsp;valueAddres)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../com/Model/University.html" title="class in com.Model">University</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/University.Builder.html#build--">build</a></span>()</code>
<div class="block">The method that the university class constructor calls if all fields are validated.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../com/Model/University.Builder.html" title="class in com.Model">University.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/University.Builder.html#name-java.lang.String-">name</a></span>(java.lang.String&nbsp;valueName)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/University.Builder.html#validate-java.lang.Object-javax.validation.Validator-">validate</a></span>(java.lang.Object&nbsp;object,
        javax.validation.Validator&nbsp;validator)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../com/Model/University.Builder.html" title="class in com.Model">University.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/Model/University.Builder.html#yearOfEstablishment-java.lang.String-">yearOfEstablishment</a></span>(java.lang.String&nbsp;valueYearOfEstablishment)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="name">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>@NotNull(message="\u0418\u043c\u044f \u0434\u043e\u043b\u0436\u043d\u043e \u0431\u044b\u0442\u044c \u0437\u0430\u0434\u0430\u043d\u043e")
private&nbsp;java.lang.String name</pre>
</li>
</ul>
<a name="address">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>address</h4>
<pre>private&nbsp;<a href="../../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a> address</pre>
</li>
</ul>
<a name="yearOfEstablishment">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>yearOfEstablishment</h4>
<pre>@Pattern(regexp="^[0-9]+$",
         message="\u0414\u0430\u0442\u0430 \u0434\u043e\u043b\u0436\u043d\u0430 \u0441\u043e\u0441\u0442\u043e\u044f\u0442\u044c \u0438\u0437 \u0446\u0438\u0444\u0440")
 @NotNull(message="\u0414\u0430\u0442\u0430 \u0434\u043e\u043b\u0436\u043d\u0430 \u0431\u044b\u0442\u044c \u0437\u0430\u0434\u0430\u043d\u0430")
private&nbsp;java.lang.String yearOfEstablishment</pre>
</li>
</ul>
<a name="level">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>level</h4>
<pre>@NotNull(message="\u0423\u0440\u043e\u0432\u0435\u043d\u044c \u0434\u043e\u043b\u0436\u0435\u043d \u0431\u044b\u0442\u044c \u0437\u0430\u0434\u0430\u043d")
<a href="../../com/Model/accreditationLevel.html" title="enum in com.Model">accreditationLevel</a> level</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="name-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>public&nbsp;<a href="../../com/Model/University.Builder.html" title="class in com.Model">University.Builder</a>&nbsp;name(java.lang.String&nbsp;valueName)</pre>
</li>
</ul>
<a name="address-com.Model.FullAddress-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>address</h4>
<pre>public&nbsp;<a href="../../com/Model/University.Builder.html" title="class in com.Model">University.Builder</a>&nbsp;address(<a href="../../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a>&nbsp;valueAddres)</pre>
</li>
</ul>
<a name="yearOfEstablishment-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>yearOfEstablishment</h4>
<pre>public&nbsp;<a href="../../com/Model/University.Builder.html" title="class in com.Model">University.Builder</a>&nbsp;yearOfEstablishment(java.lang.String&nbsp;valueYearOfEstablishment)</pre>
</li>
</ul>
<a name="accreditationLevel-com.Model.accreditationLevel-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accreditationLevel</h4>
<pre>public&nbsp;<a href="../../com/Model/University.Builder.html" title="class in com.Model">University.Builder</a>&nbsp;accreditationLevel(<a href="../../com/Model/accreditationLevel.html" title="enum in com.Model">accreditationLevel</a>&nbsp;valueLevel)</pre>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../com/Model/University.html" title="class in com.Model">University</a>&nbsp;build()
                 throws java.lang.Exception</pre>
<div class="block">The method that the university class constructor calls if all fields are validated.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>new object class university used constructor</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - if any of the fields failed validation</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../com/Model/University.html#University-com.Model.University.Builder-"><code>University.University(Builder)</code></a>, 
<a href="../../com/Model/University.Builder.html#validate-java.lang.Object-javax.validation.Validator-"><code>validate(Object, Validator)</code></a></dd>
</dl>
</li>
</ul>
<a name="validate-java.lang.Object-javax.validation.Validator-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>validate</h4>
<pre>public static&nbsp;int&nbsp;validate(java.lang.Object&nbsp;object,
                           javax.validation.Validator&nbsp;validator)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - object to check</dd>
<dd><code>validator</code> - validator
 If zero errors, then the validation is considered successful</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of fields not validated</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../com/Model/University.html" title="class in com.Model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?com/Model/University.Builder.html" target="_top">Frames</a></li>
<li><a href="University.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
